summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2004-01-21 19:57:35 +0000
committerJim Meyering <jim@meyering.net>2004-01-21 19:57:35 +0000
commit1bf1c6f026063eb4db7634462d392ff93d5958dc (patch)
tree2d5cd6690c0df709072e4682544f7ced3433485d /tests
parent5098ee0cd75f158ec771f68e334a871eb8083bb8 (diff)
downloadcoreutils-1bf1c6f026063eb4db7634462d392ff93d5958dc.tar.xz
* tests/touch/relative: Test only year/month/day, not hours/min/sec,
so as to avoid problems with systems using TAI clocks. Although it's no longer necessary, set TZ=UTC0 also for the initial touch command. Reported by Paul Jarc here: http://article.gmane.org/gmane.comp.gnu.core-utils.bugs/1504
Diffstat (limited to 'tests')
-rwxr-xr-xtests/touch/relative10
1 files changed, 5 insertions, 5 deletions
diff --git a/tests/touch/relative b/tests/touch/relative
index a6f45b994..813780841 100755
--- a/tests/touch/relative
+++ b/tests/touch/relative
@@ -17,7 +17,7 @@ trap '(exit $?); exit $?' 1 2 13 15
framework_failure=0
mkdir -p $tmp || framework_failure=1
cd $tmp || framework_failure=1
-touch --date='2004-01-16 05:26:38 +0000' f || framework_failure=1
+TZ=UTC0 touch --date='2004-01-16 12:00 +0000' f || framework_failure=1
if test $framework_failure = 1; then
echo "$0: failure in testing framework" 1>&2
@@ -26,14 +26,14 @@ fi
fail=0
-# Set times back by 30 minutes.
-touch --ref f --date='-30 min' f || fail=1
+# Set times back by 5 days.
+touch --ref f --date='-5 days' f || fail=1
-TZ=UTC0 command ls -og --time-style=+%Y-%m-%dT%H:%M:%S f > out.1 || fail
+TZ=UTC0 command ls -og --time-style=+%Y-%m-%d f > out.1 || fail
sed 's/ f$//;s/.* //' out.1 > out
cat <<\EOF > exp || fail=1
-2004-01-16T04:56:38
+2004-01-11
EOF
cmp out exp || fail=1